Page MenuHomePhabricator

autoconfirmed users unable to edit semiprotected page via mobile
Closed, DuplicatePublic1 Story Points

Description

Android App 2.1.144-beta-2016-05-09

First noticed in android app on https://en.wikipedia.org/wiki/Ebola_virus_epidemic_in_West_Africa

Clicking section edit buttons yields error message. And buttons have a lock icon.

Made a test edit with same app to sandbox and it was properly attributed. (so I definitely was logged in)

Also, mobile web shows the same lock icons for sections.

and… now no more lock icons in either web or app. and no log entries in last 24 hrs for that page.

some kind of cache invalidation broken? where would this have been cached anyway?

Event Timeline

jeremyb-phone raised the priority of this task from to Needs Triage.
jeremyb-phone updated the task description. (Show Details)
jeremyb-phone added a subscriber: jeremyb.
Jdlrobson set Security to None.

I noticed that (while logged in), I can't seem to edit any wiki's MediaWiki namespace pages. When I click the lock icon, it says "This page is protected" - "You do not have the rights to edit this page"... And the Main Page doesn't even seem to have an edit button.

Deskana triaged this task as Medium priority.Jan 9 2015, 9:08 PM
Deskana added a subscriber: Deskana.

We're not able to reproduce this, so we're going to have trouble fixing it.

Deskana changed the task status from Open to Stalled.Jan 9 2015, 9:09 PM

could someone answer?

where would this have been cached anyway?

jeremyb changed the task status from Stalled to Open.Jun 2 2015, 6:46 PM
Deskana changed the task status from Open to Stalled.Jul 16 2015, 3:47 PM

@jeremyb As I said above, I can't reproduce this so have no idea what the problem is or how to fix it. Changing the status back to open does not change this fact.

JMinor lowered the priority of this task from Medium to Lowest.Jan 25 2016, 11:12 PM
JMinor moved this task from Needs Triage to Bug Backlog on the Wikipedia-iOS-App-Backlog board.

why was this added to Wikipedia-iOS-App-Development?

anyway, this is still broken. sometimes. (mostly I've noticed android. maybe mobile frontend too but don't test there so much)

can someone please give me some things to try/logs to look at/etc.? or make an appointment to work on it with me.

jeremyb-phone changed the task status from Stalled to Open.Jan 26 2016, 5:28 AM
jeremyb-phone raised the priority of this task from Lowest to Needs Triage.
jeremyb-phone removed a subscriber: jeremyb-phone.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 26 2016, 5:28 AM

why was this added to Wikipedia-iOS-App-Development?

oh, I see, because T100322.

JMinor closed this task as Declined.May 9 2016, 7:26 PM
jeremyb-phone reopened this task as Open.May 16 2016, 8:51 PM

this is still an issue with Android App 2.1.144-beta-2016-05-09

tested with tablet and phone on 2016-05-10. retested today with phone only. (all of those tests with above app version)

today's test was on https://en.wikipedia.org/wiki/Real_Madrid_C.F.?1 which I've now edited from a web browser using the same account that's logged in to the app on both phone and tablet.

go back to phone, reload the page, scroll to bottom and it shows "Last updated 1 minute ago" but still can't edit from that app.

I've asked for help figuring out what more info you need numerous times. why was this closed without comment?

for the record that latest test was [Edit=Require extended confirmed access] (indefinite) [Move=Require administrator access] (indefinite) since 2016-05-07

but shouldn't matter what the protection level is. I can edit via web so I should be able to edit via app.

@jeremyb-phone this was closed as part of a grooming and retesting pass by the iOS team. The apps no longer used shared tasks/backlogs, so I didn't realize this would also close the version for Android.

We were not able to reproduce on iOS, and as no one has reliably, is it possible their is something about your specific account or permissions that may be bugged?

If the issue is present on m, iOS and Android, but not desktop web it is likely in mobilefrontend and you might tag their backlog.

I don't have an iOS device and have not used the Wikipedia iOS app at all.

this was originally discovered on Android. I just tested mdot again, I can
and did edit (same page, same account). Android app still can't. did
another Android app edit to [[WP:SB]] though.

I don't think there's anything too special about my account but of course
my permissions/rights are a public record. Possibly more interesting is how
long I've been logged in to those app installations. but anyway you slice
it this is clearly a bug.

MBinder_WMF set the point value for this task to 1.May 18 2016, 7:50 PM
Josve05a added a comment.EditedMay 21 2016, 3:35 AM

(I reproduced it a few weeks ago when I used the phone

@jeremyb-phone this was closed as part of a grooming and retesting pass by the iOS team. The apps no longer used shared tasks/backlogs, so I didn't realize this would also close the version for Android.
We were not able to reproduce on iOS, and as no one has reliably, is it possible their is something about your specific account or permissions that may be bugged?
If the issue is present on m, iOS and Android, but not desktop web it is likely in mobilefrontend and you might tag their backlog.

I am able to edit https://en.wikipedia.org/wiki/South_Park (semi-protcted) on my desktop, but not in the iOS-application.

The page is protected
You do not have the rights to edit this page

Yes I do...

Filed T136044 for the iOS work (if any).

Since this is happening on both platforms its likely a piece of shared infrastructure ie MobileFrontend or MediaWiki authentication.

Amire80 added a subscriber: Amire80.Oct 5 2016, 2:15 PM

Don't want to rush, but a Hebrew Wikipedia editor asked me about this today :)

jeremyb-phone triaged this task as Unbreak Now! priority.Oct 5 2016, 2:41 PM

well I don't mind rushing and no one else is bothering to triage at all.

almost every day there's an edit I don't make at all because of this bug.

Restricted Application added subscribers: Jay8g, Luke081515, TerraCodes. · View Herald TranscriptOct 5 2016, 2:41 PM

The Android fix will be out in the next beta and production releases, respectively. Closing this and merging into the duplicate in the current sprint since iOS is tracking separately for its own work.

Mholloway lowered the priority of this task from Unbreak Now! to High.Oct 5 2016, 2:53 PM